Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FigureMarker

All Superinterfaces:
  EObject, Layoutable, Notifier

All Known Subinterfaces:
  ConnectionFigure, CustomConnection, CustomDecoration, CustomFigure, DecorationFigure, Ellipse, Figure, FigureRef, Label, LabeledContainer, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, Rectangle, RoundedRectangle, Shape

All Known Implementing Classes:
  CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, EllipseImpl, FigureRefImpl, LabeledContainerImpl, LabelImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl, ShapeImpl

public interface FigureMarker
extends Layoutable

A representation of the model object 'Figure Marker'. Anything you could combine visual representation from. Ordinary GEF figures, custom-defined or references to defined elsewhere.

The following features are supported:

- `Parent`

See Also:
  `GMFGraphPackage.getFigureMarker()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`Figure` `getParent()` Returns the value of the 'Parent' container reference.

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParent

    public Figure getParent()

  Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

  If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `GMFGraphPackage.getFigureMarker_Parent()`, `Figure.getChildren()`
  ** Generated **
  Model:
    opposite="children" resolveProxies="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.